CREATE OR REPLACE FUNCTION fn_fco_var_nom
(
    pch_compania char,
    pch_var_nro char,
    pbi_porcentaje number DEFAULT 0
)
RETURN number
-- JCL. Junio 22/05.
-- Retorna un valor de variables que contienen porcentaje
-- El valor devuelto va entre cero y uno, o NULL
--OCT-01-05: DCR, Pasada a Oracle de SQL
IS
  vdc_tar_Aux number(16,6); -- Variable Auxiliar para interpretar tarifas
BEGIN
    vdc_tar_Aux := NULL;

    SELECT real INTO vdc_tar_Aux FROM parametros_rh
    WHERE compania = pch_compania AND parametro_rh = 'var_nom_' || pch_var_nro;

    IF pbi_porcentaje = 0 THEN
        IF vdc_tar_Aux >= 1 THEN 
           vdc_tar_Aux := (vdc_tar_Aux / 100);
        END IF;
        IF vdc_tar_Aux > 1 THEN
           vdc_tar_Aux := NULL;
        END IF;
    END IF;

    RETURN (vdc_tar_Aux);
END;
/
CREATE PUBLIC SYNONYM fn_fco_var_nom FOR ADAM.fn_fco_var_nom;
GRANT ALL ON fn_fco_var_nom TO ADAMA;
